## libmmap-allocator 0.4.0%2Bgit20200122.adbfbe1

=== debian/watch ===
version=4

# We really need the latest commit to fit the needs of the target iitii
opts="mode=git,pretty=0.4.0+git%cd.%h" \
  https://github.com/ekg/mmap_allocator.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#https://github.com/ekg/mmap_allocator/releases .*/archive/mmap-allocator-@ANY_VERSION@\.tar\.gz
