=== debian/changelog ===
libmmap-allocator (0.4.0+git20200122.adbfbe1-1) unstable; urgency=medium

  * For iitii package the latest commit is needed

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 22:17:30 +0200

libmmap-allocator (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #962315)

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jun 2020 07:31:08 +0200
